*{cursor: url(https://files.cnblogs.com/files/blogs/784862/apitl-1maiy-001.ico?t=1678162862),auto;}
body{
    font-family: "Noto Serif", serif;
}
.day{
    border-radius: 10px;
    box-shadow: 0 1px 20px -6px rgb(0 0 0 / 50%);
    margin-bottom: 20px;
    background: rgba(255,255,255,.95);
    z-index: 0;
    position: relative;
}
.catListTitle{
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
}
#profile_block,#widget_my_google{
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
}
#sidebar_search,.catListView,#sidebar_postarchive,#sidebar_topviewedposts,#sidebar_postcategory,#topics,#comment_form_container,.under-post-card,.under-post-card,#sidebar_news,#blog-calendar{
    border-radius: 10px;
    box-shadow: 0 1px 20px -6px rgb(0 0 0 / 50%);
}
#sideBar ul {
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
}
#footer{
    display: none;
}
.day:hover{
    border: 1px solid #dedede;
    
}
.day:hover .postSeparator{
    border-top: 1px dashed #c0c0c0;
}
.day .postTitle2 ,.postTitle a:link {
    color: #555;
}
.postTitle a:link:hover{
    color: #0E90D2;
}
#navList a{
    transition-property: background;
    transition-duration: 0.5s;
    color: #666666;
    text-shadow:none;
    background-color: transparent;
    font: normal normal normal 16px/1 FontAwesome;
    text-align: center;
    width: 5em;
    text-align: center;
    padding: 20px 10px;

}
#blog_nav_myhome::before{
    content: "\f286\00a0\00a0";
}
#blog_nav_newpost::before{
    content: "\f044\00a0\00a0";
}
#blog_nav_contact::before{
    content: "\f0c1\00a0\00a0";
}
#blog_nav_rss::before{
    content: "\f004\00a0\00a0";
}
#blog_nav_admin::before{
    content: "\f03a\00a0\00a0";
}

#navList a:hover{
    background-color: transparent;
}
#navList a:link {
    color: #666666;
    text-shadow:none;
}
#navList a:link:hover{
    color: #0E90D2;;
    background-color: transparent;
}
#blogTitle h1{
    position: relative;
    color: #fff;
    mix-blend-mode: lighten;
    margin: auto;
    top: 10%;
    font-family: 'Ubuntu', sans-serif;
    font-size: 80px;
    text-transform: uppercase;
    margin-block-start: 0.83em;
    margin-block-end: 0.83em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    width: 100%;
    font-weight: 800;
    background: none;
    text-align: center;
    z-index: 50;
}
#blogTitle h1 a{
    line-height: normal;
}
#blogTitle h2{
    display: none;
}
#navList {
    width: fit-content;
}
#navigator {
    background: rgba(255,255,255,.95);
    box-shadow: 0 1px 40px -8px rgb(0 0 0 / 50%);
    width: 100%;
    top: 0;
    position: fixed;
    border:none;
    opacity: 0;
    z-index: 90;
    transition: linear 0.5s all;
}
.day:hover{
    z-index: 0;
}
#main {
    margin: 100px auto 0;
}
#mainContent .forFlow {
    background-color: transparent;
}
.dayTitle{
    background-color: transparent;
    float: none;
    position: relative;

}
.dayTitle:hover{
    background-color: transparent;
}
.dayTitle a{
    color: #555;
}
.dayTitle a:hover{
    color: #45bcf9;
}
#profile_block:hover{
    border: 1px solid #dedede;;
}
#blog-calendar {
    background: #fff;
    padding: 10px;
}
.Cal{
    width: 85%;
    margin: auto;
}
#header{
    background: none;
    height: 100vh;
    position: relative;
    z-index: 90;
}
#blogTitle {
    display: table;
    width: 100%;
    height: 100vh;
    max-height: 100vh;
    text-align: center;
    background-image: url(https://blog-static.cnblogs.com/files/blogs/784862/background.gif);
    background-position: 0;
    background-repeat: no-repeat;
    /* background-attachment: fixed; */
    background-size: cover;
    /* overflow: hidden; */
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    box-shadow: 0 1px 2px rgb(150 150 150 / 70%);
}
#blogTitle:before {
    background-image: url(https://img2018.cnblogs.com/blog/1646268/201908/1646268-20190806130657359-228955661.png);
    content: '';
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 3;
    background-attachment: fixed;
}
.wave {
    position: absolute;
    height: 110px;
    width: 100%;
    overflow: hidden;
    bottom: 0;
    z-index: 99;
}
.wave #banner_wave_1 {
    position: absolute;
    width: 200%;
    height: 100%;
    top: 20px;
    left: -100%;
    opacity: 1;
    animation: water-right 20s infinite linear;
    background: url(https://img2018.cnblogs.com/blog/1646268/201908/1646268-20190807133952249-1243696775.png) repeat-x;
}
.wave #banner_wave_2 {
    position: absolute;
    width: 200%;
    height: 100%;
    top: 30px;
    left: 0;
    opacity: 1;
    animation: water-left 30s infinite linear;
    background: url(https://img2018.cnblogs.com/blog/1646268/201908/1646268-20190807133945197-1434861417.png) repeat-x;
}
#blogTitle h1:hover:before {
    content: attr(data-text);
    text-shadow: 4px 0 #ff3f1a;
    animation: glitch-loop-1 .8s infinite ease-in-out alternate-reverse;
}
#blogTitle h1:before {
    left: -1px;
    text-shadow: 1px 0 #ff3f1a;
}
#blogTitle h1:before,#blogTitle h1:after{
    position: absolute;
    top: 0;
    width: 100%;
    background: rgba(0, 0, 0, 0);
    clip: rect(0, 0, 0, 0);
}
#blogTitle h1:hover:after {
    content: attr(data-text);
    text-shadow: -5px 0 #00a7e0;
    animation: glitch-loop-2 .8s infinite ease-in-out alternate-reverse;
}
#blogTitle h1:after {
    left: 1px;
    text-shadow: -1px 0 #00a7e0;
}
.MyLogo{
    width:240px;
    height:240px;
    border-radius: 120px;
    animation:fadenum 5s infinite;
    position: relative;
    top: 10%;
    z-index: 50;
}
.scroll-down {
    display: block;
    position: absolute;
    bottom: 80px;
    left: 50%;
    margin-left: -16px;
    width: 34px;
    height: 34px;
    font-size: 34px;
    text-align: center;
    animation: float 2s linear infinite;
    text-decoration: none !important;
    color: white !important;
    z-index: 1000;
    
}
.scroll-down i{
    display: inline-block;
    font: normal normal normal 14px/1 FontAwesome;
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
.scroll-down i:before{
    content: "\f078";
}

@keyframes fadenum{
    100%{transform:rotate(360deg);}
}
.MyLogo:hover{
    animation-play-state:paused;
}
@keyframes water-right {
    0% {
        transform: translateX(0) translateZ(0) scaleY(1)
    }
    50% {
        transform: translateX(25%) translateZ(0) scaleY(0.85)
    }
    100% {
        transform: translateX(50%) translateZ(0) scaleY(1)
    }
}

@keyframes water-left {
    from {
        transform: translate(0%, 0px);
    }
    to {
        transform: translate(-50%, 0px);
    }
}
@-webkit-keyframes glitch-loop-1 {
    0% {
        clip: rect(36px, 9999px, 9px, 0)
    }
    25% {
        clip: rect(25px, 9999px, 99px, 0)
    }
    50% {
        clip: rect(50px, 9999px, 102px, 0)
    }
    75% {
        clip: rect(30px, 9999px, 92px, 0)
    }
    100% {
        clip: rect(91px, 9999px, 98px, 0)
    }
}

@keyframes glitch-loop-1 {
    0% {
        clip: rect(36px, 9999px, 9px, 0)
    }
    25% {
        clip: rect(25px, 9999px, 99px, 0)
    }
    50% {
        clip: rect(50px, 9999px, 102px, 0)
    }
    75% {
        clip: rect(30px, 9999px, 92px, 0)
    }
    100% {
        clip: rect(91px, 9999px, 98px, 0)
    }
}

@-webkit-keyframes glitch-loop-2 {
    0% {
        top: -1px;
        left: 1px;
        clip: rect(65px, 9999px, 119px, 0)
    }
    25% {
        top: -6px;
        left: 4px;
        clip: rect(79px, 9999px, 19px, 0)
    }
    50% {
        top: -3px;
        left: 2px;
        clip: rect(68px, 9999px, 11px, 0)
    }
    75% {
        top: 0;
        left: -4px;
        clip: rect(95px, 9999px, 53px, 0)
    }
    100% {
        top: -1px;
        left: -1px;
        clip: rect(31px, 9999px, 149px, 0)
    }
}

@keyframes glitch-loop-2 {
    0% {
        top: -1px;
        left: 1px;
        clip: rect(65px, 9999px, 119px, 0)
    }
    25% {
        top: -6px;
        left: 4px;
        clip: rect(79px, 9999px, 19px, 0)
    }
    50% {
        top: -3px;
        left: 2px;
        clip: rect(68px, 9999px, 11px, 0)
    }
    75% {
        top: 0;
        left: -4px;
        clip: rect(95px, 9999px, 53px, 0)
    }
    100% {
        top: -1px;
        left: -1px;
        clip: rect(31px, 9999px, 149px, 0)
    }
}
@keyframes float {
    0% {
        -webkit-transform: translateY(0);
        -ms-transform: translateY(0);
        transform: translateY(0)
    }
    50% {
        -webkit-transform: translateY(-6px);
        -ms-transform: translateY(-6px);
        transform: translateY(-6px)
    }
    100% {
        -webkit-transform: translateY(0);
        -ms-transform: translateY(0);
        transform: translateY(0)
    }
}


